org.apache.hadoop.fs.azurebfs.contracts.exceptions

## Class AbfsRestOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException
        - - org.apache.hadoop.fs.azurebfs.contracts.exceptions.AbfsRestOperationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InvalidAbfsRestOperationException

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class AbfsRestOperationException
      extends AzureBlobFileSystemException

  Exception to wrap Azure service error responses.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbfsRestOperationException(org.apache.hadoop.fs.azurebfs.oauth2.AzureADAuthenticator.HttpException innerException)`
    `AbfsRestOperationException(int statusCode, String errorCode, String errorMessage, Exception innerException)`
    `AbfsRestOperationException(int statusCode, String errorCode, String errorMessage, Exception innerException, org.apache.hadoop.fs.azurebfs.services.AbfsHttpOperation abfsHttpOperation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AzureServiceErrorCode` | `getErrorCode()`
    `String` | `getErrorMessage()`
    `int` | `getStatusCode()`

    - ### Methods inherited from class org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbfsRestOperationException

          public AbfsRestOperationException(int statusCode,
                                            String errorCode,
                                            String errorMessage,
                                            Exception innerException)

    - #### AbfsRestOperationException

          public AbfsRestOperationException(int statusCode,
                                            String errorCode,
                                            String errorMessage,
                                            Exception innerException,
                                            org.apache.hadoop.fs.azurebfs.services.AbfsHttpOperation abfsHttpOperation)

    - #### AbfsRestOperationException

          public AbfsRestOperationException(org.apache.hadoop.fs.azurebfs.oauth2.AzureADAuthenticator.HttpException innerException)

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

    - #### getErrorCode

          public AzureServiceErrorCode getErrorCode()

    - #### getErrorMessage

          public String getErrorMessage()

Copyright © 2022 Apache Software Foundation. All rights reserved.